HTMLDocument.HTMLReader.TagAction (Java Platform SE 8 )
Keywords: javax.swing.text.html.HTMLDocument.HTMLReader.TagAction class
Date: 2026-08-19

javax.swing.text.html

## Class HTMLDocument.HTMLReader.TagAction

- java.lang.Object
- - javax.swing.text.html.HTMLDocument.HTMLReader.TagAction

- Direct Known Subclasses:
    HTMLDocument.HTMLReader.BlockAction, HTMLDocument.HTMLReader.CharacterAction, HTMLDocument.HTMLReader.HiddenAction, HTMLDocument.HTMLReader.IsindexAction, HTMLDocument.HTMLReader.SpecialAction
  Enclosing class:
    HTMLDocument.HTMLReader

      public class HTMLDocument.HTMLReader.TagAction
      extends Object

  An action to be performed in response to parsing a tag. This allows customization of how each tag is handled and avoids a large switch statement.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `end(HTML.Tag t)` Called when an end tag is seen for the type of tag this action was registered to.
    `void` | `start(HTML.Tag t, MutableAttributeSet a)` Called when a start tag is seen for the type of tag this action was registered to.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagAction

          public TagAction()

  - ### Method Detail

    - #### start

          public void start(HTML.Tag t,
                            MutableAttributeSet a)

      Called when a start tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.

    - #### end

          public void end(HTML.Tag t)

      Called when an end tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.